using System;
using System.Collections.Generic;
using System.Text;
using nft.framework;
using System.Windows.Forms;
using nft.ui.mainframe;

namespace nft.ui.view {
    public class GameViewFactory : IViewFactory {
        protected IMainFrame MainFrame {
            get {
                return Main.mainFrame;
            }
        }

        public GameViewFactory(ParamsReader node) {
        }

        #region IGameViewFactory implementation
        public Type RegistType {
            get {
                return typeof(IViewFactory);
            }
        }

        public IView Create() {
            GameViewPanel f = new GameViewPanel();
            return f;
        }

        public IView Create(int width, int height) {
            throw new NotImplementedException();
        }
        #endregion
    }
}
